### Signal

# St Button::clicked

#### Declaration

    void
    clicked (
      StButton* self,
      gint clicked_button,
      gpointer user_data
    )

#### Description [src]

Emitted when the user activates the button, either with a mouse press and release or with the keyboard.

Default handler: The default handler is called after the handlers added via `g_signal_connect()`.

#### Parameters

`clicked_button`

  Type: `gint`

  The mouse button that was used.